#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "ppport.h"

#include <gsl/gsl_cdf.h>


MODULE = GSL::CDF		PACKAGE = GSL::CDF		

double
gsl_cdf_ugaussian_P (x)
    double x
    
double 
gsl_cdf_ugaussian_Q (x)
    double x

double
gsl_cdf_ugaussian_Pinv (P)
    double P

double
gsl_cdf_ugaussian_Qinv (Q)
    double Q

double
gsl_cdf_gaussian_P (x, sigma)
    double x
    double sigma

double
gsl_cdf_gaussian_Q (x, sigma)
    double x
    double sigma

double
gsl_cdf_gaussian_Pinv (P, sigma)
    double P
    double sigma

double
gsl_cdf_gaussian_Qinv (Q, sigma)
    double Q
    double sigma

double
gsl_cdf_gamma_P (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_gamma_Q (x, a, b)
    double x
    double a
    double b

double
gsl_cdf_gamma_Pinv (P, a, b)
    double P
    double a
    double b

double
gsl_cdf_gamma_Qinv (Q, a, b)
    double Q
    double a
    double b

double
gsl_cdf_cauchy_P (x, a)
    double x
    double a

double
gsl_cdf_cauchy_Q (x, a)
    double x
    double a

double 
gsl_cdf_cauchy_Pinv (P, a)
    double P
    double a

double 
gsl_cdf_cauchy_Qinv (Q, a)
    double Q
    double a

double 
gsl_cdf_laplace_P (x, a)
    double x
    double a

double 
gsl_cdf_laplace_Q (x, a)
    double x
    double a

double 
gsl_cdf_laplace_Pinv (P, a)
    double P
    double a

double 
gsl_cdf_laplace_Qinv (Q, a)
    double Q
    double a

double
gsl_cdf_rayleigh_P (x, sigma)
    double x
    double sigma

double 
gsl_cdf_rayleigh_Q (x, sigma)
    double x
    double sigma

double 
gsl_cdf_rayleigh_Pinv (P, sigma)
    double P
    double sigma
    
double 
gsl_cdf_rayleigh_Qinv (Q, sigma)
    double Q
    double sigma

double 
gsl_cdf_chisq_P (x, nu)
    double x
    double nu

double
gsl_cdf_chisq_Q (x, nu)
	double x
	double nu

double 
gsl_cdf_chisq_Pinv (P, nu)
    double P
    double nu

double 
gsl_cdf_chisq_Qinv (Q, nu)
    double Q
    double nu

double 
gsl_cdf_exponential_P (x, mu)
    double x
    double mu

double 
gsl_cdf_exponential_Q (x, mu)
    double x
    double mu

double 
gsl_cdf_exponential_Pinv (P, mu)
    double P
    double mu

double 
gsl_cdf_exponential_Qinv (Q, mu)
    double Q
    double mu

double 
gsl_cdf_exppow_P (x, a, b)
    double x
    double a
    double b

double
gsl_cdf_exppow_Q (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_tdist_P (x, nu)
    double x
    double nu

double 
gsl_cdf_tdist_Q (x, nu)
    double x
    double nu

double 
gsl_cdf_tdist_Pinv (P, nu)
    double P
    double nu

double 
gsl_cdf_tdist_Qinv (Q, nu)
    double Q
    double nu

double 
gsl_cdf_fdist_P (x, nu1, nu2)
    double x
    double nu1
    double nu2

double 
gsl_cdf_fdist_Q (x, nu1, nu2)
    double x
    double nu1
    double nu2

double 
gsl_cdf_fdist_Pinv (P, nu1, nu2)
    double P
    double nu1
    double nu2

double 
gsl_cdf_fdist_Qinv (Q, nu1, nu2)
    double Q
    double nu1
    double nu2

double 
gsl_cdf_beta_P (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_beta_Q (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_beta_Pinv (P, a, b)
    double P
    double a
    double b

double 
gsl_cdf_beta_Qinv (Q, a, b)
    double Q
    double a
    double b

double 
gsl_cdf_flat_P (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_flat_Q (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_flat_Pinv (P, a, b)
    double P
    double a
    double b

double 
gsl_cdf_flat_Qinv (Q, a, b)
    double Q
    double a
    double b

double 
gsl_cdf_lognormal_P (x, zeta, sigma)
    double x
    double zeta
    double sigma

double 
gsl_cdf_lognormal_Q (x, zeta, sigma)
    double x
    double zeta
    double sigma

double 
gsl_cdf_lognormal_Pinv (P, zeta, sigma)
    double P
    double zeta
    double sigma

double 
gsl_cdf_lognormal_Qinv (Q, zeta, sigma)
    double Q
    double zeta
    double sigma

double 
gsl_cdf_gumbel1_P (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_gumbel1_Q (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_gumbel1_Pinv (P, a, b)
    double P
    double a
    double b

double 
gsl_cdf_gumbel1_Qinv (Q, a, b)
    double Q
    double a
    double b

double 
gsl_cdf_gumbel2_P (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_gumbel2_Q (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_gumbel2_Pinv (P, a, b)
    double P
    double a
    double b

double 
gsl_cdf_gumbel2_Qinv (Q, a, b)
    double Q
    double a
    double b

double 
gsl_cdf_weibull_P (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_weibull_Q (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_weibull_Pinv (P, a, b)
    double P
    double a
    double b

double 
gsl_cdf_weibull_Qinv (Q, a, b)
    double Q
    double a
    double b

double 
gsl_cdf_pareto_P (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_pareto_Q (x, a, b)
    double x
    double a
    double b

double 
gsl_cdf_pareto_Pinv (P, a, b)
    double P
    double a
    double b

double 
gsl_cdf_pareto_Qinv (Q, a, b) 
    double Q
    double a
    double b

double 
gsl_cdf_logistic_P (x, a)
    double x
    double a

double 
gsl_cdf_logistic_Q (x, a)
    double x
    double a

double 
gsl_cdf_logistic_Pinv (P, a)
    double P
    double a

double
gsl_cdf_logistic_Qinv (Q, a)
    double Q
    double a

double 
gsl_cdf_binomial_P (k, p, n)
    unsigned int k
    double p
    double n

double 
gsl_cdf_binomial_Q (k, p, n)
    unsigned int k
    double p
    unsigned int n

double 
gsl_cdf_poisson_P (k, mu)
    unsigned int k
    double mu

double 
gsl_cdf_poisson_Q (k, mu)
    unsigned int k
    double mu

double 
gsl_cdf_geometric_P (k, p)
    unsigned int k
    double p

double 
gsl_cdf_geometric_Q (k, p)
    unsigned int k
    double p

double 
gsl_cdf_negative_binomial_P (k, p, n)
    unsigned int k
    double p
    double n

double 
gsl_cdf_negative_binomial_Q (k, p, n)
    unsigned int k
    double p
    double n

double 
gsl_cdf_pascal_P (k, p, n)
    unsigned int k
    double p
    unsigned int n

double 
gsl_cdf_pascal_Q (k, p, n)
    unsigned int k
    double p
    unsigned int n

double 
gsl_cdf_hypergeometric_P (k, n1, n2, t)
    unsigned int k
    unsigned int n1
    unsigned int n2
    unsigned int t

double 
gsl_cdf_hypergeometric_Q (k, n1, n2, t)
    unsigned int k
    unsigned int n1
    unsigned int n2
    unsigned int t
